Skala
Stock takes

Get stock take details

Retrieves the specific details of a single stock take using its unique identifier.

GET
/api/stock_takes/{id}

Retrieves the specific details of a single stock take using its unique identifier.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTake identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_takes/string"
{
  "id": 0,
  "reason": "string",
  "code": "string",
  "location": {
    "id": 0,
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "description": "string",
  "items": [
    {
      "id": 0,
      "stockVariant": {
        "id": 0,
        "stock": {
          "id": 0,
          "name": "string",
          "category": {
            "id": 0,
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "unit": {
            "id": 0,
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "category": {
        "id": 0,
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "internalBarcode": "string",
      "supplierBarcode": "string",
      "registeredBarcode": "string",
      "batchBarcode": "string",
      "batchNumber": "string",
      "note": "string",
      "quantity": "string",
      "batch": {
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "inStock": "string",
      "discrepancy": "string",
      "trackType": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "number": 0,
  "status": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
Empty